[LibreOffice] Options d'autocorrection ne fonctionnent plus (Résolu)

Applications, problèmes de configuration réseau
Harashi
archer
Messages : 116
Inscription : mar. 08 août 2017, 15:50
Localisation : Chambéry

[LibreOffice] Options d'autocorrection ne fonctionnent plus (Résolu)

Message par Harashi »

Bonjour à tous,

Depuis hier, les options d'autocorrection pendant la frappe (par exemple remplacer automatiquement "càd" en "c'est-à-dire" ou ajouter les espaces insécables après la ponctuation) ne fonctionnent plus. La case est pourtant bien cochée dans le menu "outils", et toutes les options sont bien cochées dans le gestionnaire de ces options.

Après quelques recherches, j'ai vu que cela pouvait venir d'une corruption du profil. J'ai donc renommé ~/.config/libreoffice/4/user en ~/.config/libreoffice/4/user-old et relancé le programme, mais le problème persiste et ce n'était donc pas cela. Ce qui est étrange, c'est que la dernière mise à jour de libreoffice date chez moi du 4 février d'après /var/log/pacman.log :

Code : Tout sélectionner

[2021-02-04T12:10:06+0100] [ALPM] upgraded libreoffice-still (6.4.7-9 -> 7.0.4-1)
[2021-02-04T12:10:06+0100] [ALPM] upgraded libreoffice-still-fr (6.4.7-1 -> 7.0.4-1)
Après j'ai un peu l'impression que le problème est apparu après la mise à jour d'hier, mais je ne vois pas trop ce qui aurait pu le causer (ni si je cherche dans la bonne direction) :

Code : Tout sélectionner

[2021-02-16T12:23:46+0100] [PACMAN] Running 'pacman --color=always --sync --refresh'
[2021-02-16T12:23:46+0100] [PACMAN] synchronizing package lists
[2021-02-16T12:24:09+0100] [PACMAN] Running 'pacman --color=always --sync --sysupgrade'
[2021-02-16T12:24:09+0100] [PACMAN] starting full system upgrade
[2021-02-16T12:25:08+0100] [ALPM] running '60-mkinitcpio-remove.hook'...
[2021-02-16T12:25:08+0100] [ALPM] transaction started
[2021-02-16T12:25:09+0100] [ALPM] upgraded glibc (2.33-3 -> 2.33-4)
[2021-02-16T12:25:09+0100] [ALPM-SCRIPTLET] Generating locales...
[2021-02-16T12:25:13+0100] [ALPM-SCRIPTLET]   fr_FR.UTF-8... done
[2021-02-16T12:25:13+0100] [ALPM-SCRIPTLET] Generation complete.
[2021-02-16T12:25:13+0100] [ALPM] upgraded util-linux-libs (2.36.1-4 -> 2.36.2-1)
[2021-02-16T12:25:13+0100] [ALPM] upgraded util-linux (2.36.1-4 -> 2.36.2-1)
[2021-02-16T12:25:26+0100] [ALPM] upgraded linux (5.10.15.arch1-1 -> 5.10.16.arch1-1)
[2021-02-16T12:25:26+0100] [ALPM] upgraded bbswitch (0.8-387 -> 0.8-388)
[2021-02-16T12:25:26+0100] [ALPM] upgraded python-pygments (2.7.4-1 -> 2.8.0-1)
[2021-02-16T12:25:27+0100] [ALPM] upgraded perl (5.32.0-3 -> 5.32.1-1)
[2021-02-16T12:25:27+0100] [ALPM] upgraded vulkan-icd-loader (1.2.166-1 -> 1.2.169-1)
[2021-02-16T12:25:28+0100] [ALPM] upgraded calibre (5.10.1-1 -> 5.11.0-1)
[2021-02-16T12:25:28+0100] [ALPM] upgraded tar (1.33-1 -> 1.34-1)
[2021-02-16T12:25:29+0100] [ALPM] upgraded eog (3.38.1-1 -> 3.38.2-1)
[2021-02-16T12:25:29+0100] [ALPM] upgraded evince (3.38.1-1 -> 3.38.2-1)
[2021-02-16T12:25:29+0100] [ALPM] upgraded fakeroot (1.25.3-1 -> 1.25.3-2)
[2021-02-16T12:25:30+0100] [ALPM] upgraded imagemagick (7.0.10.62-1 -> 7.0.11.0-1)
[2021-02-16T12:25:30+0100] [ALPM] upgraded gnome-control-center (3.38.3-1 -> 3.38.4-1)
[2021-02-16T12:25:30+0100] [ALPM] upgraded yelp-xsl (3.38.2-1 -> 3.38.3-1)
[2021-02-16T12:25:30+0100] [ALPM] upgraded yelp (3.38.2-1 -> 3.38.3-1)
[2021-02-16T12:25:31+0100] [ALPM] upgraded gnome-getting-started-docs (3.38.0-1 -> 3.38.1-1)
[2021-02-16T12:25:31+0100] [ALPM] upgraded vte-common (0.62.2-1 -> 0.62.3-1)
[2021-02-16T12:25:31+0100] [ALPM] upgraded vte3 (0.62.2-1 -> 0.62.3-1)
[2021-02-16T12:25:31+0100] [ALPM] upgraded gnome-terminal (3.38.2-1 -> 3.38.3-1)
[2021-02-16T12:25:31+0100] [ALPM] upgraded jasper (2.0.24-1 -> 2.0.25-1)
[2021-02-16T12:25:31+0100] [ALPM] upgraded lib32-glibc (2.33-3 -> 2.33-4)
[2021-02-16T12:25:31+0100] [ALPM] upgraded lib32-util-linux (2.36.1-1 -> 2.36.2-1)
[2021-02-16T12:25:31+0100] [ALPM] upgraded lib32-vulkan-icd-loader (1.2.166-1 -> 1.2.169-1)
[2021-02-16T12:25:31+0100] [ALPM] upgraded libebur128 (1.2.5-1 -> 1.2.6-1)
[2021-02-16T12:25:32+0100] [ALPM] upgraded osinfo-db (20201015-1 -> 20210202-1)
[2021-02-16T12:25:32+0100] [ALPM] upgraded libosinfo (1.8.0-1 -> 1.9.0-1)
[2021-02-16T12:25:32+0100] [ALPM] upgraded libuv (1.40.0-1 -> 1.41.0-1)
[2021-02-16T12:25:32+0100] [ALPM] upgraded meld (3.20.2-2 -> 3.20.3-1)
[2021-02-16T12:25:32+0100] [ALPM] upgraded mujs (1.0.9-1 -> 1.1.0-1)
[2021-02-16T12:25:32+0100] [ALPM] upgraded nvidia (460.39-7 -> 460.39-8)
[2021-02-16T12:25:32+0100] [ALPM] warning: /etc/pacman.d/mirrorlist installed as /etc/pacman.d/mirrorlist.pacnew
[2021-02-16T12:25:32+0100] [ALPM] upgraded pacman-mirrorlist (20210206-1 -> 20210214-1)
[2021-02-16T12:25:34+0100] [ALPM] upgraded ruby-yard (0.9.25-1 -> 0.9.26-1)
[2021-02-16T12:25:36+0100] [ALPM] upgraded signal-desktop (1.39.6-1 -> 1.39.6-2)
[2021-02-16T12:25:37+0100] [ALPM] upgraded whois (5.5.7-1 -> 5.5.8-1)
[2021-02-16T12:25:41+0100] [ALPM] transaction completed
[2021-02-16T12:25:42+0100] [ALPM] running '20-systemd-sysusers.hook'...
[2021-02-16T12:25:46+0100] [ALPM] running '30-systemd-daemon-reload.hook'...
[2021-02-16T12:25:47+0100] [ALPM] running '30-systemd-tmpfiles.hook'...
[2021-02-16T12:25:47+0100] [ALPM] running '30-systemd-udev-reload.hook'...
[2021-02-16T12:25:47+0100] [ALPM] running '30-systemd-update.hook'...
[2021-02-16T12:25:47+0100] [ALPM] running '60-depmod.hook'...
[2021-02-16T12:26:02+0100] [ALPM] running '90-mkinitcpio-install.hook'...
[2021-02-16T12:26:02+0100] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'default'
[2021-02-16T12:26:02+0100] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
[2021-02-16T12:26:03+0100] [ALPM-SCRIPTLET] ==> Starting build: 5.10.16-arch1-1
[2021-02-16T12:26:03+0100] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2021-02-16T12:26:03+0100] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2021-02-16T12:26:03+0100] [ALPM-SCRIPTLET]   -> Running build hook: [autodetect]
[2021-02-16T12:26:04+0100] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2021-02-16T12:26:04+0100] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: xhci_pci
[2021-02-16T12:26:04+0100] [ALPM-SCRIPTLET]   -> Running build hook: [keymap]
[2021-02-16T12:26:04+0100] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2021-02-16T12:26:04+0100] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2021-02-16T12:26:05+0100] [ALPM-SCRIPTLET]   -> Running build hook: [encrypt]
[2021-02-16T12:26:07+0100] [ALPM-SCRIPTLET]   -> Running build hook: [lvm2]
[2021-02-16T12:26:07+0100] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2021-02-16T12:26:07+0100] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2021-02-16T12:26:10+0100] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2021-02-16T12:26:10+0100] [ALPM-SCRIPTLET] ==> Creating gzip-compressed initcpio image: /boot/initramfs-linux.img
[2021-02-16T12:26:17+0100] [ALPM-SCRIPTLET] ==> Image generation successful
[2021-02-16T12:26:17+0100] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'fallback'
[2021-02-16T12:26:17+0100] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-fallback.img -S autodetect
[2021-02-16T12:26:17+0100] [ALPM-SCRIPTLET] ==> Starting build: 5.10.16-arch1-1
[2021-02-16T12:26:17+0100] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2021-02-16T12:26:17+0100] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2021-02-16T12:26:17+0100] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2021-02-16T12:26:18+0100] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: xhci_pci
[2021-02-16T12:26:19+0100] [ALPM-SCRIPTLET]   -> Running build hook: [keymap]
[2021-02-16T12:26:19+0100] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2021-02-16T12:26:20+0100] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2021-02-16T12:26:21+0100] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: wd719x
[2021-02-16T12:26:21+0100] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: aic94xx
[2021-02-16T12:26:25+0100] [ALPM-SCRIPTLET]   -> Running build hook: [encrypt]
[2021-02-16T12:26:27+0100] [ALPM-SCRIPTLET]   -> Running build hook: [lvm2]
[2021-02-16T12:26:27+0100] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2021-02-16T12:26:29+0100] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2021-02-16T12:26:32+0100] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2021-02-16T12:26:32+0100] [ALPM-SCRIPTLET] ==> Creating gzip-compressed initcpio image: /boot/initramfs-linux-fallback.img
[2021-02-16T12:26:45+0100] [ALPM-SCRIPTLET] ==> Image generation successful
[2021-02-16T12:26:45+0100] [ALPM] running 'detect-old-perl-modules.hook'...
[2021-02-16T12:26:45+0100] [ALPM] running 'glib-compile-schemas.hook'...
[2021-02-16T12:26:46+0100] [ALPM] running 'gtk-update-icon-cache.hook'...
[2021-02-16T12:26:46+0100] [ALPM] running 'texinfo-install.hook'...
[2021-02-16T12:26:48+0100] [ALPM] running 'update-desktop-database.hook'...
[2021-02-16T12:26:48+0100] [ALPM] running 'update-mime-database.hook'...
[2021-02-16T19:45:55+0100] [PACMAN] Running 'pacman --color=always --sync --refresh'
[2021-02-16T19:45:55+0100] [PACMAN] synchronizing package lists
Quelqu'un aurait-il une idée ?
Dernière modification par Harashi le lun. 15 mars 2021, 11:58, modifié 1 fois.
Asus RoG GL552JX-DM322T : Double amorçage Windows 10 / Archlinux
Dell-Latitude D430 : Debian Buster
Harashi
archer
Messages : 116
Inscription : mar. 08 août 2017, 15:50
Localisation : Chambéry

Re: [LibreOffice] Options d'autocorrection ne fonctionnent plus

Message par Harashi »

Apparemment ce n'était pas la bonne direction : j'ai rétrogradé le paquet à l'ancienne version et le problème persiste. Cela vient donc d'ailleurs.
A noter également que les espaces insécables se mettent automatiquement après les guillemets à la française, mais pas ailleurs (cette exception m'étonne).
Asus RoG GL552JX-DM322T : Double amorçage Windows 10 / Archlinux
Dell-Latitude D430 : Debian Buster
Avatar de l’utilisateur
FoolEcho
Maître du Kyudo
Messages : 10639
Inscription : dim. 15 août 2010, 11:48
Localisation : Basse-Normandie

Re: [LibreOffice] Options d'autocorrection ne fonctionnent plus

Message par FoolEcho »

Salut,

Pour info, j'utilise la version fresh et il n'y a pas le souci que tu décris.
«The following statement is not true. The previous statement is true.» :nage:
Avatar de l’utilisateur
PowaBanga
archer
Messages : 129
Inscription : mar. 12 sept. 2017, 21:15

Re: [LibreOffice] Options d'autocorrection ne fonctionnent plus

Message par PowaBanga »

Outil-> autocorrection -> Option d'autocorrection

La liste est-elle vide ou non ?
Harashi
archer
Messages : 116
Inscription : mar. 08 août 2017, 15:50
Localisation : Chambéry

Re: [LibreOffice] Options d'autocorrection ne fonctionnent plus

Message par Harashi »

PowaBanga a écrit :
jeu. 18 févr. 2021, 19:19
Outil-> autocorrection -> Option d'autocorrection

La liste est-elle vide ou non ?
Non, la liste n'est pas vide, mais apparemment seules les options linguistiques fonctionnent. En effet, la ligne "remplacer « et » par des guillemets français" se trouve dans les options linguistiques et fonctionne, mais la ligne "COrriger la 2e majuscule en DEbut de mot" se trouve dans les options tout court et ne fonctionne pas. Les deux sont bien évidemment cochées.
Asus RoG GL552JX-DM322T : Double amorçage Windows 10 / Archlinux
Dell-Latitude D430 : Debian Buster
Harashi
archer
Messages : 116
Inscription : mar. 08 août 2017, 15:50
Localisation : Chambéry

Re: [LibreOffice] Options d'autocorrection ne fonctionnent plus

Message par Harashi »

FoolEcho a écrit :
jeu. 18 févr. 2021, 19:12
Salut,

Pour info, j'utilise la version fresh et il n'y a pas le souci que tu décris.
Salut,

J'ai désinstallé libreoffice-still et mis fresh à la place tout en renommant le profil précédent pour en créer un nouveau et le problème persiste. Du coup ce n'est pas non plus un problème de version.
Asus RoG GL552JX-DM322T : Double amorçage Windows 10 / Archlinux
Dell-Latitude D430 : Debian Buster
Harashi
archer
Messages : 116
Inscription : mar. 08 août 2017, 15:50
Localisation : Chambéry

Re: [LibreOffice] Options d'autocorrection ne fonctionnent plus

Message par Harashi »

Bon, apparemment il devait s'agir d'un bug que l'équipe de LibreOffice a corrigé, je n'ai plus aucun problème aujourd'hui après avoir fait une mise à jour hier. Je marque donc le problème comme résolu.
Asus RoG GL552JX-DM322T : Double amorçage Windows 10 / Archlinux
Dell-Latitude D430 : Debian Buster
Répondre